# speex_header.h File Reference

Describes the Speex header. More...

`#include "speex/speex_types.h"`

## Classes

struct | SpeexHeader

## Defines

#define | SPEEX_HEADER_STRING_LENGTH 8
#define | SPEEX_HEADER_VERSION_LENGTH 20

## Functions

void | speex_init_header (SpeexHeader *header, int rate, int nb_channels, const struct SpeexMode *m)
char * | speex_header_to_packet (SpeexHeader *header, int *size)
SpeexHeader * | speex_packet_to_header (char *packet, int size)
void | speex_header_free (void *ptr)

## Detailed Description

Describes the Speex header.